classification
Title: Match Solaris def'n of _XOPEN_SOURCE
Type: Stage:
Components: Build Versions: Python 2.4
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: skip.montanaro Nosy List: loewis, skip.montanaro
Priority: normal Keywords: patch

Created on 2004-08-10 15:00 by skip.montanaro, last changed 2004-08-15 14:09 by skip.montanaro. This issue is now closed.

Files
File name Uploaded Description Edit
configure.in.diff skip.montanaro, 2004-08-10 15:00
Messages (3)
msg46655 - (view) Author: Skip Montanaro (skip.montanaro) * (Python committer) Date: 2004-08-10 15:00
Per discussion on python-dev attached is a patch that
causes the _XOPEN_SOURCE definition to match that
defined by G++ on Solaris.  This is the simplest
patch I could come up with.  Perhaps better would be 
to discover the value and use that instead of simply
setting it to 500.  My configure skills weren't up to the
task though.
msg46656 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2004-08-12 13:09
Logged In: YES 
user_id=21627

The patch is fine. Please apply.
msg46657 - (view) Author: Skip Montanaro (skip.montanaro) * (Python committer) Date: 2004-08-15 14:09
Logged In: YES 
user_id=44345

Checked in as configure.in 1.466, configure 1.453
History
Date User Action Args
2004-08-10 15:00:50skip.montanarocreate